﻿
using System.Windows;
using System.Windows.Controls;
using Microsoft.Win32;
using System;
namespace WPF3D
{
    
    public partial class FileInputBox : UserControl
    {
        public static readonly DependencyProperty FileNameProperty = DependencyProperty.Register("FileName",
                                                                                                 typeof (String),
                                                                                                 typeof (FileInputBox),new UIPropertyMetadata(
                                                                                                     String.Empty,
                                                                                                     textChangedCallback));

        private static void textChangedCallback(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            FileInputBox input = (FileInputBox) d;
            input.txtFileName.Text = e.NewValue as String; 
        }

        public string FileName
        {
            get { return (string) GetValue(FileNameProperty);  }
            set { SetValue(FileNameProperty, value); }

        }

        public FileInputBox()
        {
            InitializeComponent();
        }

        protected override void OnContentChanged(object oldContent, object newContent)
        {
            if(oldContent != null)
            {
                throw new InvalidOperationException("Content Property cannot be set!");
            }
        }

        private void BtnSelectFile_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog fileDialog = new OpenFileDialog();
            fileDialog.ShowDialog();

            this.FileName = fileDialog.FileName;
        }
    }
}
