﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WPF3D
{
   
    public partial class RouteEventsDemo : Window
    {
        public RouteEventsDemo()
        {
            InitializeComponent();

            this.AddHandler(Window.MouseRightButtonDownEvent,
                new MouseButtonEventHandler(Window_MouseRightButtonDown),
                true);

        }

        private void Button_MouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            e.Handled = true; 
        }

        private void Window_MouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            var control = e.Source as Control; 

            if(control == null) return; 

            if(control.BorderThickness != new Thickness(5))
            {
                control.BorderThickness = new Thickness(5);
                control.BorderBrush = Brushes.Black;
            }

            lblMessage.Content = "Original Source" + e.OriginalSource.GetType().Name + " " + "Source:" +
                                 e.Source.GetType().Name; 
        }

    }
}
